 

/*! standard resizable-header/flex-content/footer ( ~*/

html, body{
  height:100%;
  min-height:100%;
  overflow: hidden;
  margin:0;
}

container-m {
  display: flex;
  flex-direction: column;
  height:100%;
  min-height:100%;
  overflow: hidden;
}

header-m, footer-m {
  flex: 0 0 auto;
}

content-m {
  flex: 1 1 auto;
  overflow-y: auto;
}

/*! standard ) ~*/

body{
  font: normal 12pt sans-serif;
}

textarea, input[type="text"]{
}
input[type="text"]{
  background-color:#eee;
  color: #666;
  border:0;
  width: 3em;
  border-radius: 2px;
  padding:2px 5px;
  padding: 4px 8px;
  /*outline: 1px solid #0002; v better for round edges */
  box-shadow: 0 0 0px 1px #0002;
}
textarea{
  background-color:#eee;
  color: #333;
  border:3px solid transparent;
  padding: 1px 6px;
  box-sizing: border-box;
  vertical-align: top;
  outline: none;
}


/*~ HEADER ~*/

header-m{
  padding: .5em;
  background-color: #999;
  border-bottom: 3px solid #00000050;
  box-sizing: border-box;
  font-size: 0;
  position: relative;
  display: flex;
  flex-direction: row;
}
header-m #input{
  width: 100%;
  resize: vertical;
  min-height: 30px !important;
  height: 10em;
  flex-grow: 4;
  flex-shrink: 0;
  flex-basis: 0%;
}
header-m #input:focus{
  background-color:#fff;
  border-color: #fff;
}

actions-m{
  flex-grow: 1;
  flex-shrink: 1;
  flex-basis: 0%;
}
actions-m > button{
  vertical-align: middle;
  margin: 3px 0 0 3px;
}
actions-m > input{
  vertical-align: middle;
  margin: 4px 0 0 4px;
}




/*~ CONTENT ~*/

content-m{
  background-color: #ccc;
}

#trace{
  font-family:monospace;
  position:relative;
  /*background: #e8e8e8;*/
  background: #424242;
  padding: 0 0 1em 0;
}
#trace .item{
  color: #444;
  background-color: #f5f5f5;
  border-bottom: 3px solid #e8e8e8;
  position: relative;
  white-space: pre-line;
  word-break: break-word;
  line-height: 1.3em;
  padding: .15em 20px .2em 16px;
}
#trace .count {
  position: absolute;
  z-index: 9;
  font-size: 8pt;
  color: #0006;
  top: -2px;
  left: 1px;
  user-select: none;
}
#trace .item img{
  position: relative;
  background: #f5f5f5;
  margin-left: 10px;
  outline: 1px dashed #808080;
  margin-right: 10px;
  border: 1px solid #fff0;
  font-size: 11pt;
}
#trace .comment>span {
  position: absolute;
  font-size: 8pt;
}
#trace .info{
  position: absolute;
  color: #0006;
  right: 3px;
  bottom: 0;
  font-size: 8pt;
  user-select: none;
}
#trace .delta {
  margin-right: .5em;
}
#trace .delta:hover,
#trace .elapsed:hover{
  background-color: #eee;
}

/*~ FOOTER ~*/

footer-m{
  background-color: #ccc;
  font-size: 10pt;
  padding: 2pt 4pt;
  color: #666;
}

/*~ BUTTON ~*/

button {
  user-select: none;
  color: #fff;
  background-color: #00000050;
  font-weight: bold;
  border: 0;
  cursor: pointer;
  box-sizing: border-box;
}
button:active {
  color: #222;
  background-color: #e8e8e8;
}
button:focus, input:focus {
  /*outline: 1px dashed #ffffff99;
  outline-offset: -1px;*/
  outline:0;
}

#go, #clear{
  width: 30px;
  height: 30px;
  font-size: 20px;
  padding: 0;
  margin: 0;
  float: right;
}

#go{
  background-color: #444;
  width: 35px;
  height: 35px;
}

button#clear {
  position: absolute;
  bottom: -33px;
  z-index: 10;
  right: 0;
}

button:not(#go):not(#clear) {
  background-color: #eee;
  border-radius: 2px;
  padding: 4px 8px;
  color: #666;
  outline:0;
}

m-alg0, m-alg1, m-chosen{
  display: none;
}

body.algorithm0 m-alg0,
body.algorithm1 m-alg1,
body.chosen m-chosen{
  /*display: block;*/
  display: inline;
}

body.algorithm1 #algorithm,
body.chosen #chosen{
  background-color: #444 !important;
  color: #eee !important;
}
body.random #random{
  background-color: #444 !important;
  color: #eee !important;
}

/*button#clear:after {
  position: absolute;
  width: 60%;
  height: 60%;
  content: " ";
  top: calc(20% - 2px);
  left: calc(20% - 2px);
  color: #fff;
  border-radius: 2em;
  border: 2px dotted #fff;
}*/

